package llc.arma.ble.domain.repository

import kotlinx.coroutines.flow.Flow
import llc.arma.ble.domain.model.BleFilter

interface SettingsRepository {

    suspend fun saveFilter(bleFilter: BleFilter)

    fun getFilterFlow(): Flow<BleFilter?>

}